| Openscape Voice V10 - SOAP Interface Documentation

Classes | Functions
Parking Lot

Parking Lot Definitions and Methods. More...

## Classes
struct | unsp__ParkingLotEntry
| Parking Lot Entry. More...
struct | unsp__ParkingLotEntryData
| Parking Lot Entry Data. More...
struct | unsp__LotAssociations
| Parking Lot Associations. More...
struct | unsp__ParkingLotNameArray
| Array of Parking Lot Names. More...
struct | unsp__CreateParkingLotRequest
| Create Parking Lot request. More...
struct | unsp__CreateParkingLotResult
| Create Parking Lot result. More...
struct | unsp__UpdateParkingLotRequest
| Update Parking Lot request. More...
struct | unsp__UpdateParkingLotResult
| Update Parking Lot result. More...
struct | unsp__DeleteParkingLotRequest
| Delete Parking Lot request. More...
struct | unsp__DeleteParkingLotResult
| Delete Parking Lot result. More...
struct | unsp__QueryParkingLotInfoRequest
| Query Parking Lot Information request. More...
struct | unsp__QueryParkingLotInfoResult
| Query Parking Lot Information result. More...
struct | unsp__QueryParkingLotListRequest
| Query Parking Lot List request. More...
struct | unsp__QueryParkingLotListResult
| Query Parking Lot List result. More...
struct | unsp__SubscriberData
| Subscriber Data. More...
struct | unsp__SubscriberDataArray
| Array of Subscriber Data. More...
struct | unsp__EpNameArray
| Array of Endpoint Profile Names. More...
struct | unsp__QueryLotUsageListRequest
| Query Parking Lot Usage List request. More...
struct | unsp__QueryLotUsageListResult
| Query Parking Lot Usage List result. More...

## Functions
int | unsp__CreateParkingLot (struct unsp__CreateParkingLotRequest CreateParkingLotRequest, struct unsp__CreateParkingLotResult *CreateParkingLotResult)
| Creates a Parking Lot. More...
int | unsp__UpdateParkingLot (struct unsp__UpdateParkingLotRequest UpdateParkingLotRequest, struct unsp__UpdateParkingLotResult *UpdateParkingLotResult)
| Updates the Data of a Parking Lot. More...
int | unsp__DeleteParkingLot (struct unsp__DeleteParkingLotRequest DeleteParkingLotRequest, struct unsp__DeleteParkingLotResult *DeleteParkingLotResult)
| Deletes a Parking Lot and all associations of Subscribers or Feature Profiles with the Parking Lot. More...
int | unsp__QueryParkingLotInfo (struct unsp__QueryParkingLotInfoRequest QueryParkingLotInfoRequest, struct unsp__QueryParkingLotInfoResult *QueryParkingLotInfoResult)
| Queries a Parking Lot and Retrieves the Number of Associations with Subscribers and Feature Profiles. More...
int | unsp__QueryParkingLotList (struct unsp__QueryParkingLotListRequest QueryParkingLotListRequest, struct unsp__QueryParkingLotListResult *QueryParkingLotListResult)
| Queries the list of parking lot entries under a Business Group. More...
int | unsp__QueryLotUsageList (struct unsp__QueryLotUsageListRequest QueryLotUsageListRequest, struct unsp__QueryLotUsageListResult *QueryLotUsageListResult)
| Returns the List of Subscriber and Endpoint Profiles that are using the specified Parking Lot. More...

## Detailed Description

Parking Lot Definitions and Methods.

The Park to Server feature allows a subscriber to transfer calls to server-side destinations (Parking Spaces), from where they can be retreived by authorized subscribers. Once a call has been parked, the user's line is free to originate or receive other calls. If a parked call is not retrieved before a configurable Recall Timer expires, the parking subscriber will be recalled.

Parking is not possible if:

- all Parking Spaces are occupied
- a manually requested Parking Space is occupied or invalid
- the call is a conference or emergency call
- the party to be parked is an Attendant
- the party to be parked has already been parked

On the user agent side, the Park to Server feature does not require any protocol extensions other than those for consultation and transfer.

During provisioning for the Park to Server feature, a subscriber is associated with a Parking Lot, i.e. a named pool of server-side destinations that can be used for parking. Each of these destinations (Parking Spaces) is capable of holding a single call and is addressed by a number. A Parking Lot is a BG (Business Group) object and can be shared among subscribers within the same BG. Some subscribers may only be allowed to park calls, while others may only be allowed to retrieve calls from their associated Parking Lot. When a subscriber (with Parking allowed permission) parks a call to his/her Parking Lot, the parked call is associated with a Parking Space number. Any subscriber who has been provisioned to use the same Parking Lot with Retrieval allowed permission and who knows the Parking Space number, is able to retrieve the call.

## Function Documentation

## ◆ unsp__CreateParkingLot()

unsp__CreateParkingLot | ( | struct unsp__CreateParkingLotRequest | CreateParkingLotRequest,
|  | struct unsp__CreateParkingLotResult * | CreateParkingLotResult
| ) |  |

Creates a Parking Lot.

Parameters

  CreateParkingLotRequest | API request
  CreateParkingLotResult | API result MP2 command: PARKLOTCREATE [Attributes]

## ◆ unsp__DeleteParkingLot()

unsp__DeleteParkingLot | ( | struct unsp__DeleteParkingLotRequest | DeleteParkingLotRequest,
|  | struct unsp__DeleteParkingLotResult * | DeleteParkingLotResult
| ) |  |

Deletes a Parking Lot and all associations of Subscribers or Feature Profiles with the Parking Lot.

Parameters

  DeleteParkingLotRequest | API request
  DeleteParkingLotResult | API result MP2 command: PARKLOTDELETE [Attributes]

## ◆ unsp__QueryLotUsageList()

unsp__QueryLotUsageList | ( | struct unsp__QueryLotUsageListRequest | QueryLotUsageListRequest,
|  | struct unsp__QueryLotUsageListResult * | QueryLotUsageListResult
| ) |  |

Returns the List of Subscriber and Endpoint Profiles that are using the specified Parking Lot.

Parameters

  QueryLotUsageListRequest | API request
  QueryLotUsageListResult | API result

## ◆ unsp__QueryParkingLotInfo()

unsp__QueryParkingLotInfo | ( | struct unsp__QueryParkingLotInfoRequest | QueryParkingLotInfoRequest,
|  | struct unsp__QueryParkingLotInfoResult * | QueryParkingLotInfoResult
| ) |  |

Queries a Parking Lot and Retrieves the Number of Associations with Subscribers and Feature Profiles.

Parameters

  QueryParkingLotInfoRequest | API request
  QueryParkingLotInfoResult | API result

## ◆ unsp__QueryParkingLotList()

unsp__QueryParkingLotList | ( | struct unsp__QueryParkingLotListRequest | QueryParkingLotListRequest,
|  | struct unsp__QueryParkingLotListResult * | QueryParkingLotListResult
| ) |  |

Queries the list of parking lot entries under a Business Group.

Parameters

  QueryParkingLotListRequest | API request
  QueryParkingLotListResult | API result

## ◆ unsp__UpdateParkingLot()

unsp__UpdateParkingLot | ( | struct unsp__UpdateParkingLotRequest | UpdateParkingLotRequest,
|  | struct unsp__UpdateParkingLotResult * | UpdateParkingLotResult
| ) |  |

Updates the Data of a Parking Lot.

Parameters

  UpdateParkingLotRequest | API request
  UpdateParkingLotResult | API result MP2 command: PARKLOTUPDATE [Attributes]